MCP Tools Reference: oracledatabase.googleapis.com

Tool: get_odb_network

Get details for an ODB Network in a Google Cloud project in the given location.

The following sample demonstrate how to use curl to invoke the get_odb_network MCP tool.

Curl Request
                  
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_odb_network",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The request for OdbNetwork.Get.

GetOdbNetworkRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the OdbNetwork in the following format: projects/{project}/locations/{location}/odbNetworks/{odb_network}.

Output Schema

Represents OdbNetwork resource.

OdbNetwork

JSON representation
{
  "name": string,
  "network": string,
  "labels": {
    string: string,
    ...
  },
  "createTime": string,
  "state": enum (State),
  "entitlementId": string,
  "gcpOracleZone": string
}
Fields
name

string

Identifier. The name of the OdbNetwork resource in the following format: projects/{project}/locations/{region}/odbNetworks/{odb_network}

network

string

Required. The name of the VPC network in the following format: projects/{project}/global/networks/{network}

labels

map (key: string, value: string)

Optional. Labels or tags associated with the resource.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

createTime

string (Timestamp format)

Output only. The date and time that the OdbNetwork was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

state

enum (State)

Output only. State of the ODB Network.

entitlementId

string

Output only. The ID of the subscription entitlement associated with the OdbNetwork.

gcpOracleZone

string

Optional. The GCP Oracle zone where OdbNetwork is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌